Jump to content

GP

Members
  • Portfolio

    Portfolio
  • Content Count

    335
  • Joined

  • Last visited


Reputation Activity

  1. Like
    GP got a reaction from Treddi Krueger in Creare comando personalizzato "Ruota asse X +90"   
    Dopo che hai salvato il codice sopra con nome r3x.LSP puoi impostare la macro di menu in base a dove posizioni il file:
     
    se posizioni il file in una cartella letta dal percorso di AutoCAD (Opzioni\File\Percorso di ricerca dei file di supporto)
    ^C^C(load "r3x") r3x
     
    se posizioni il file in una cartella qualunque, ad es. D:\pippo
    ^C^C(load "D:/pippo/r3x") r3x
     
    se aggiungi il file al gruppo di avvio (Appload -> Contenuto)
    ^C^Cr3x
     
    nota: nel caricamento l'estensione del file (LSP) può essere omessa.
     
  2. Like
    GP got a reaction from Treddi Krueger in Creare comando personalizzato "Ruota asse X +90"   
    ROTATE3D non è un comando AutoCAD, ma una funzione contenuta, tra le altre, in GEOM3D.ARX
    Per questo motivo se la richiami dalla riga di comando funziona, in quanto viene caricata la funzione, che poi "gira" anche al successivo lancio del lisp.
    Per ovviare puoi inserire questa stringa nella seconda riga di codice:
    (or rotate3d (arxload "geom3d"))
    😎
  3. Like
    GP got a reaction from Tristan in Unire automaticamente punti con polilinee   
    Nel titolo parli di automatismo, con che criterio dovrebbero essere scelti i punti da unire?
     
     
     
    Cosa vuol dire?
  4. Like
    GP got a reaction from grafico3DStudioMax in problemi con importazione file Autocad   
    Il dwg contiene oggetti proxy creati con altre applicazioni (nanoCAD), dopo che l'hai aperto crea un nuovo dwg con -EXPORTTOAUTOCAD, tali oggetti vengono trasformati in blocchi.
    Comunque questo potrebbe anche non essere il problema della vastità del modello, accendi tutti i layer e fai uno Zoom Estensioni per verificare che non ci sia qualche oggetto oltre la luna…
    Anche blocchi relativamente vicini allo 0,0 ma con punto d'inserimento lontanissimo potrebbero dare problemi. 
  5. Like
    GP got a reaction from Michele71 in Creare comando personalizzato "Ruota asse X +90"   
    ROTATE3D non è un comando AutoCAD, ma una funzione contenuta, tra le altre, in GEOM3D.ARX
    Per questo motivo se la richiami dalla riga di comando funziona, in quanto viene caricata la funzione, che poi "gira" anche al successivo lancio del lisp.
    Per ovviare puoi inserire questa stringa nella seconda riga di codice:
    (or rotate3d (arxload "geom3d"))
    😎
  6. Like
    GP got a reaction from Michele71 in Creare comando personalizzato "Ruota asse X +90"   
    Questa macro dovrebbe funzionare
    ^C^C^P(rotate3d (ssget) "x" (getpoint "Specificare un punto sull'asse X") 90) ^P
     
    Avresti però problemi con gli undo, come macro del pulsante ti consiglio di richiamare un lisp tipo questo:
     
    (defun c:r3x ( / sel ) (vl-load-com) (vla-startundomark (vla-get-activedocument (vlax-get-acad-object))) (if (and (princ "\nSELEZIONARE GLI OGGETTI DA RUOTARE") (setq sel (ssget)) ) (rotate3d sel "x" (getpoint "Specificare un punto sull'asse X") 90) ) (vla-endundomark (vla-get-activedocument (vlax-get-acad-object))) (princ) )  
     
  7. Like
    GP got a reaction from Treddi Krueger in Creare comando personalizzato "Ruota asse X +90"   
    Questa macro dovrebbe funzionare
    ^C^C^P(rotate3d (ssget) "x" (getpoint "Specificare un punto sull'asse X") 90) ^P
     
    Avresti però problemi con gli undo, come macro del pulsante ti consiglio di richiamare un lisp tipo questo:
     
    (defun c:r3x ( / sel ) (vl-load-com) (vla-startundomark (vla-get-activedocument (vlax-get-acad-object))) (if (and (princ "\nSELEZIONARE GLI OGGETTI DA RUOTARE") (setq sel (ssget)) ) (rotate3d sel "x" (getpoint "Specificare un punto sull'asse X") 90) ) (vla-endundomark (vla-get-activedocument (vlax-get-acad-object))) (princ) )  
     
  8. Haha
    GP got a reaction from Tristan in spessore punti autocad   
    Non hai letto bene quello che ti è stato suggerito, sarà perché in questa discussione ci sono solo cani...
    Il punto deve avere un colore al quale sia stato assegnato un pennino con spessore, nel ctb.
    Nell'immagine allegata vedi la schermata di AutoCAD con tre punti di colore diverso che vengono stampati con spessore diverso.
     

  9. Haha
    GP got a reaction from mOcrAm in spessore punti autocad   
    Non hai letto bene quello che ti è stato suggerito, sarà perché in questa discussione ci sono solo cani...
    Il punto deve avere un colore al quale sia stato assegnato un pennino con spessore, nel ctb.
    Nell'immagine allegata vedi la schermata di AutoCAD con tre punti di colore diverso che vengono stampati con spessore diverso.
     

  10. Like
    GP got a reaction from Mario111000 in lisp per porte e finetre 3d   
    Quando si fa un po' di tutto bisogna arrangiarsi, è impensabile possedere la totalità dei software più adatti al bisogno del momento.
    Per questo tipo di operazioni mi sono fatto questi lisp, da utilizzare con unità = metri (anche se i valori vengono inseriti in centimetri).
    Non contemplano chiaramente tutte le tipologie, ma solo quelle che mi capita di usare di più.
    Ho impostato l'inserimento in alto perchè per me è l'ideale in quanto nei fori lascio sempre lo spazio per i davanzali.
    Cliccando sull'immagine viene visualizzato un breve tutorial.
     
    3D-INFISSI.zip
     
  11. Like
    GP got a reaction from Emigrato in errore misura autocad   
    Meno male che arriva qualcuno ad aprirci la mente con una sicura risposta al quesito.
    Complimenti, una minchiata come APERTURA era veramente difficile da pensare, in quasi trent'anni di utilizzo con valore = 6 chissà quante righe non ortogonali ho tirato.
    Grande.
  12. Like
    GP got a reaction from Tristan in errore misura autocad   
    Meno male che arriva qualcuno ad aprirci la mente con una sicura risposta al quesito.
    Complimenti, una minchiata come APERTURA era veramente difficile da pensare, in quasi trent'anni di utilizzo con valore = 6 chissà quante righe non ortogonali ho tirato.
    Grande.
  13. Like
    GP reacted to Emigrato in problema linee aperte   
    Per chiudere polilinee solo apparentemente chiuse, basta selezionarle col mouse, e senza dare alcun comando, entrare nelle loro Proprietà e settare CLOSED=YES (forse in italiano è CHIUSO, in piemontese SARÀ, in partenopeo SERRAT, ecc.ecc.)


  14. Like
    GP got a reaction from mariar in creazione di superfici curve   
    Unisci gli elementi della base (1-4-5-6)
    Inserisci un punto nell'intersezione delle due curve (2-3)
    LOFT, selezionando la base e il punto
  15. Like
    GP got a reaction from Morning Star in Ellisse Passante Per 8 Punti   
    Anzi, se ne aggiungono...
    In questo caso il problema sembrerebbe chiamarsi "grip triangolare", ovvero quello che consente l'allungamento/accorciamento.
    Visto che la procedura in esame prevede il riposizionamento dell'arco ellittico mediante lo stramento tramite i grip finali, dalla 2012 questi sono diventati (appunto) triangolari, permettendo solo l'allungamento o l'accorciamento.
    Da alcune prove effettuate il metodo pare applicabile solo a parallelogrammi con diagonali perpendicolari, tipo questo:




    Visto che non mi risulta l'esistenza di qualche variabile old_grip, le soluzioni potrebbero essere:
    1) Utilizzare una versione di AutoCAD <2012;
    2) Utilizzare il mio lisp allegato in questa discussione;
    3) Utilizzare il metodo grafico descritto in questa immagine (di Joseph), che tra l'altro ricordavo già allegata in questa discussione.




  16. Like
    GP got a reaction from Morning Star in Ellisse Passante Per 8 Punti   
    Rispolvero questa discussione in quanto, successivamente allo stesso problema postato in altro forum, ho sviluppato un lisp per disegnare un'ellisse inscritta in un parallelogramma.

    E' il succo del caso in questione ed in genere di tutti i cerchi assonometrici da disegnare quando gli angoli impostati non permettono l'utilizzo dello snap assonometrico di AutoCAD, in sostanza non si conoscono le dimensione degli assi e l'angolo d'inclinazione dell'ellisse.

    Il lisp chiede di selezionare i quattro vertici del parallelogramma, ne potevano bastare anche tre (o due lati), ma così viene effettuato un controllo per verificare se il poligono sia un "vero" parallelogramma.




    ELL4P.zip
  17. Like
    GP got a reaction from Morning Star in Ellisse Passante Per 8 Punti   
    Apportate alcune modifiche.


    ELL4P.zip
  18. Like
    GP got a reaction from emilierollandin in Alias sotto-comandi Autocad   
    E' possibile utilizzando una MACRO associata ad una voce di menu.

    Nel tuo caso (comandi in inglese + underscore, come suggerito da philix) potrebbe essere
    ^C^C_DRAWORDER \ _Front
    assegnata tramite il comando CUI o IUPERS come nell'immagine seguente.





    Però... sei sicura che (defun c:od () (command "ORDINEDIS" "DA")) funzioni?
    Il comando ha bisogno di un'istruzione che permetta l'input dell'utente per la selezione, nella macro la \ (barra rovescia), nel lisp pause.
    Secondo me dovrebbe essere
    (defun c:od ()
    (command "_DRAWORDER" pause "" "_Front" )
    (princ)
    )

    nota: (princ) non serve ai fini del funzionamento del comando, ma per un'uscita "pulita" dalla riga di comando.


  19. Like
    GP got a reaction from algosarK in Nuovo logo Autodesk   
    Evidentemente per quello rosso non esistevano più combinazioni possibili.
  20. Like
    GP got a reaction from ruezzana in Percorso file quote Autocad Architecture 2013   
    Non esistono file di quota.

    Crea gli stili di quota che vuoi in un dwg vuoto, poi SALVACOME -> tipo di file: Modello di disegno di AutoCAD (*.dwt), quindi Opzioni\File\Impostazioni del modello\Nome del modello di default per CNUOVO e inserisci il dwt appena creato, in questa maniera ogni nuovo dwg conterrà i tuoi stili personalizzati.

    Nei disegni esistenti puoi trascinare una di queste quote prendendola da un altro dwg, oppure utilizzare ADCENTER.
  21. Like
    GP got a reaction from algosarK in Cancellare le vecchie versioni di AutoCad LT comporta problemi alla nuova?   
    Se non hai la subscrition...
  22. Like
    GP got a reaction from NephrenKa in lisp per porte e finetre 3d   
    Quando si fa un po' di tutto bisogna arrangiarsi, è impensabile possedere la totalità dei software più adatti al bisogno del momento.
    Per questo tipo di operazioni mi sono fatto questi lisp, da utilizzare con unità = metri (anche se i valori vengono inseriti in centimetri).
    Non contemplano chiaramente tutte le tipologie, ma solo quelle che mi capita di usare di più.
    Ho impostato l'inserimento in alto perchè per me è l'ideale in quanto nei fori lascio sempre lo spazio per i davanzali.
    Cliccando sull'immagine viene visualizzato un breve tutorial.
     
    3D-INFISSI.zip
     
  23. Like
    GP got a reaction from Emigrato in lisp per porte e finetre 3d   
    Quando si fa un po' di tutto bisogna arrangiarsi, è impensabile possedere la totalità dei software più adatti al bisogno del momento.
    Per questo tipo di operazioni mi sono fatto questi lisp, da utilizzare con unità = metri (anche se i valori vengono inseriti in centimetri).
    Non contemplano chiaramente tutte le tipologie, ma solo quelle che mi capita di usare di più.
    Ho impostato l'inserimento in alto perchè per me è l'ideale in quanto nei fori lascio sempre lo spazio per i davanzali.
    Cliccando sull'immagine viene visualizzato un breve tutorial.
     
    3D-INFISSI.zip
     
  24. Like
    GP got a reaction from zatta 3d in lisp per porte e finetre 3d   
    Quando si fa un po' di tutto bisogna arrangiarsi, è impensabile possedere la totalità dei software più adatti al bisogno del momento.
    Per questo tipo di operazioni mi sono fatto questi lisp, da utilizzare con unità = metri (anche se i valori vengono inseriti in centimetri).
    Non contemplano chiaramente tutte le tipologie, ma solo quelle che mi capita di usare di più.
    Ho impostato l'inserimento in alto perchè per me è l'ideale in quanto nei fori lascio sempre lo spazio per i davanzali.
    Cliccando sull'immagine viene visualizzato un breve tutorial.
     
    3D-INFISSI.zip
     
  25. Like
    GP got a reaction from Emigrato in Estrusione ad altezze variabili   
    Quella della superficie mi sembra un'ottima idea.



    (defun C:ES_POLY (/ SEL n POLY POLY_vl) (vl-load-com) (command "_UNDO" "_BEGIN") (setq SEL (ssget "_X" '((0 . "POLYLINE,LWPOLYLINE")))) (repeat (setq n (sslength SEL)) (setq POLY (ssname SEL (setq n (1- n)))) (setq POLY_vl (vlax-ename->vla-object POLY)) (if (vlax-curve-isClosed POLY_vl) (command "_EXTRUDE" POLY "" (sqrt (vlax-curve-getArea POLY_vl))) ) ) (command "_UNDO" "_END") )

    Se si vuole selezionare le poly da trattare togliere la "_X" dal codice.


×
×
  • Create New...